Summary:	Toshiba Laptop Management Utilities
Name:		toshutils
Version:	2.0.1
Release:	1
License:	GPL
Group:		Utilities/System
Packager:	tom burkart <tom@aussec.com>
Vendor:		AUSSEC

URL:		http://www.buzzard.org.uk/toshiba/
Source0:	http://www.buzzard.org.uk/toshiba/%{name}-%{version}.tar.gz
Patch0:		%{name}-2.0.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires:	xpm-devel
Autoreq:	no
Prereq:		/bin/awk, /bin/grep, /bin/ls, /bin/mknod, /bin/rm, /bin/sh, /sbin/modprobe, glibc, /usr/sbin/wall, XFree86-libs, /usr/X11R6/libXpm.so.4, glib, gtk+, X11R6-contrib
#Obsoletes: 
#Provides: 

%description
These utilities control the Toshiba specific aspects of their laptops.

%prep
%setup -q
%patch0 -p 1
%configure \
	--prefix=/usr

%build
make depend
make
	
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make install DESTDIR=$RPM_BUILD_ROOT

%post
# make sure the correct device is there...
if [ "`/bin/ls -l /dev/toshiba 2>/dev/null | /bin/awk '{print $$6}'`" != "181" ] ; then
  /bin/rm -f /dev/toshiba
  /bin/mknod -m 666 /dev/toshiba c 10 181
fi
# and the required details in the modules.conf
if ! /sbin/modprobe -c | /bin/grep -q 'alias char-major-10-181 toshiba' ; then
  if [ -r /etc/modules.conf ] ; then
    /bin/echo 'alias	char-major-10-181	toshiba' >> /etc/modules.conf
    /sbin/depmod -a
  elif [ -r /etc/conf.modules ] ; then
    /bin/echo 'alias	char-major-10-181	toshiba' >> /etc/conf.modules
    /sbin/depmod -a
  fi
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
/usr/bin/alarm
/usr/bin/dispswitch
/usr/bin/fan
/usr/bin/hotkey
/usr/bin/ownerstring
/usr/bin/svpw
/usr/bin/tbacklight
/usr/bin/tdocked
%attr(4755,-,-)		/usr/bin/thotswap
/usr/bin/tpasswd
/usr/bin/tuxtime-conf
/usr/bin/wmtuxtime

%defattr(444,root,root)
/usr/man/man1/*
/usr/man/man8/*
%doc CONTRIBUTE COPYING ChangeLog FAQ README* TODO src/fnfind

%changelog
* Thu Sep 13 2001 tom burkart <tom@aussec.com>
- Created spec file, etc. from scratch.

